local player = {}
local lk = love.keyboard.isDown

function player.init(name)
	local self = {}
	self.name = name
	self.x = math.random(800)
	self.y = math.random(600)
	
	function self:update(dt)
		if lk('w') then
			self.y = self.y - 100 * dt
		elseif lk('s') then 
			self.y = self.y + 100 * dt
		end
		if lk('a') then
			self.x = self.x - 100 * dt
		elseif lk('d') then 
			self.x = self.x + 100 * dt
		end
	end

	function self:draw()
		love.graphics.setColor(255,255,255)
		love.graphics.circle('fill', self.x, self.y, 10)
		love.graphics.printf(self.name, self.x-25, self.y-25, 50, 'center')
	end

	return self
end

return player