local TBSM = {
	_TITLE 		= 'Turn Based Strategy Manager',
	_VERSION 	= '0.0.2',
	_DESC 		= 'Simple module to control TBS game flow.',
	_LISENCE 	= 'MIT -- Copywrite(c) 2016 Andrew Dean'
}

local turn 	= 1

local manager = {
	players = {}
}

function manager:update(dt)
	if #manager.players < 1 then return end
	manager.players[turn]:update(dt)
end

function manager:addPlayer(player)
	table.insert(manager.players, player)
end

function manager.start()
	turn = math.random(#manager.players)
	return turn
end

function manager:endTurn()
	if turn == #manager.players then turn = 1
	else turn = turn + 1
	end
	return turn
end

return manager